/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: TestServlet.java 62571 2011-04-18 20:58:13Z kgrucci $
 */

package com.sun.ts.tests.servlet.api.javax_servlet.filterrequestdispatcher;

import com.sun.ts.tests.servlet.common.servlets.GenericTCKServlet;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import java.io.IOException;


public class TestServlet extends GenericTCKServlet {

    public void forwardServletTest(ServletRequest request, ServletResponse response)
        throws ServletException, IOException {
        String path = "/generic/DummyServlet";
        RequestDispatcher rd = getServletContext().getRequestDispatcher(path);
        rd.forward(request, response);
    }

    public void forwardJSPTest(ServletRequest request, ServletResponse response)
        throws ServletException, IOException {
        String path = "/generic/dummyJSP";
        RequestDispatcher rd = getServletContext().getRequestDispatcher(path);
        rd.forward(request, response);
    }

    public void forwardHTMLTest(ServletRequest request, ServletResponse response)
        throws ServletException, IOException {
        String path = "/dummy.html";
        RequestDispatcher rd = getServletContext().getRequestDispatcher(path);
        rd.forward(request, response);
    }

    public void forwardTest(ServletRequest request, ServletResponse response)
        throws ServletException, IOException {
        String path = "/forward/ForwardedServlet";
        RequestDispatcher rd = getServletContext().getRequestDispatcher(path);
        rd.forward(request, response);
    }


    public void includeServletTest(ServletRequest request, ServletResponse response)
        throws ServletException, IOException {
        String path = "/generic/DummyServlet";
        RequestDispatcher rd = getServletContext().getRequestDispatcher(path);
        rd.include(request, response);
    }

    public void includeJSPTest(ServletRequest request, ServletResponse response)
        throws ServletException, IOException {
        String path = "/generic/dummyJSP";
        RequestDispatcher rd = getServletContext().getRequestDispatcher(path);
        rd.include(request, response);
    }

    public void includeHTMLTest(ServletRequest request, ServletResponse response)
        throws ServletException, IOException {
        String path = "/dummy.html";
        RequestDispatcher rd = getServletContext().getRequestDispatcher(path);
        rd.include(request, response);
    }


    public void includeTest(ServletRequest request, ServletResponse response)
        throws ServletException, IOException {
        String path = "/include/IncludedServlet";
        RequestDispatcher rd = getServletContext().getRequestDispatcher(path);
        rd.include(request, response);
    }

}
