/*
 * Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id$
 */
package com.sun.ts.tests.servlet.api.javax_servlet.servletcontext30;

import com.sun.ts.tests.servlet.common.util.StaticLog;
import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import java.io.IOException;

public final class BadFilter implements Filter {

    // The filter configuration object we are associated with.  If this value
    // is null, this filter instance is not currently configured.
    private FilterConfig filterConfig = null;


    // Non-zero argument constructor
    public BadFilter(String x) throws ServletException {
        throw new ServletException("Negative Test for createFilter");
    }

    public void doFilter(ServletRequest request, ServletResponse response,
            FilterChain chain) throws IOException, ServletException {
        boolean passed = true;

        if (filterConfig == null) {
            StaticLog.add("FAILED_CREATE_FILTER_INVOKED");
        } else {
            StaticLog.add("CREATE_FILTER_INVOKED");
        }
        StaticLog.add("Negative Test for createFilter Failed");
        chain.doFilter(request, response);
    }

    // Remove the filter configuration object for this filter.
    public void destroy() {
    }

    //  initialize the filter configuration object for this filter.
    public void init(FilterConfig filterConfig) {
        this.filterConfig = filterConfig;
    }
}
