 /*
 * Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id:$
 */
package com.sun.ts.tests.servlet.api.javax_servlet.servletrequestwrapper30x;

import java.io.IOException;
import javax.servlet.GenericServlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletRequestWrapper;
import javax.servlet.ServletResponse;

public class IsWrapperForTest extends GenericServlet {

    public void init(ServletConfig servletConfig) throws ServletException {
        super.init(servletConfig);
    }

    public void service(ServletRequest req, ServletResponse response)
            throws ServletException, IOException {
        Boolean pass = true;
        ServletRequestWrapper reqWrapper1 = new TCKServletRequestWrapper(req);
        ServletRequestWrapper reqWrapper2 =
                new TCKServletRequestWrapper(reqWrapper1);
        ServletRequestWrapper reqWrapper3 =
                new TCKServletRequestWrapper(reqWrapper2);
        TCKServletRequestsubWrapper myReqWrapper =
                new TCKServletRequestsubWrapper(req);

        if (!reqWrapper3.isWrapperFor(reqWrapper1)) {
            pass = false;
            response.getWriter().println("Test Failed: reqWrapper3.isWrapperFor(reqWrapper1)");
        }

        if (!reqWrapper3.isWrapperFor(reqWrapper2)) {
            pass = false;
            response.getWriter().println("Test Failed: reqWrapper3.isWrapperFor(reqWrapper2)");
        }

        if (!reqWrapper3.isWrapperFor(TCKServletRequestWrapper.class)) {
            pass = false;
            response.getWriter().println("Test Failed: reqWrapper3.isWrapperFor(TCKServletRequestWrapper.class)");
        }

        if (reqWrapper3.isWrapperFor(myReqWrapper)) {
            pass = false;
            response.getWriter().println("Test Failed: reqWrapper3.isWrapperFor(myReqWrapper)");
        }

        if (reqWrapper3.isWrapperFor(TCKServletRequestsubWrapper.class)) {
            pass = false;
            response.getWriter().println("Test Failed: reqWrapper3.isWrapperFor(TCKServletRequestsubWrapper.class)");
        }

        if (!reqWrapper2.isWrapperFor(reqWrapper1)) {
            pass = false;
            response.getWriter().println("Test Failed: reqWrapper2.isWrapperFor(reqWrapper1)");
        }

        if (!reqWrapper2.isWrapperFor(TCKServletRequestWrapper.class)) {
            pass = false;
            response.getWriter().println("Test Failed: reqWrapper2.isWrapperFor(TCKServletRequestWrapper.class)");
        }

        if (reqWrapper2.isWrapperFor(myReqWrapper)) {
            pass = false;
            response.getWriter().println("Test Failed: reqWrapper2.isWrapperFor(myReqWrapper)");
        }

        if (reqWrapper2.isWrapperFor(TCKServletRequestsubWrapper.class)) {
            pass = false;
            response.getWriter().println("Test Failed: reqWrapper2.isWrapperFor(TCKServletRequestsubWrapper.class)");
        }

        if ( reqWrapper1.isWrapperFor(TCKServletRequestWrapper.class)) {
            pass = false;
            response.getWriter().println("Test Failed: reqWrapper1.isWrapperFor(TCKServletRequestWrapper.class)");
        }

        if (reqWrapper1.isWrapperFor(myReqWrapper)) {
            pass = false;
            response.getWriter().println("Test Failed: reqWrapper1.isWrapperFor(myReqWrapper)");
        }

        if (reqWrapper1.isWrapperFor(TCKServletRequestsubWrapper.class)) {
            pass = false;
            response.getWriter().println("Test Failed: reqWrapper1.isWrapperFor(TCKServletRequestsubWrapper.class)");
        }

        if (myReqWrapper.isWrapperFor(TCKServletRequestWrapper.class)) {
            pass = false;
            response.getWriter().println("Test Failed: myReqWrapper.isWrapperFor(TCKServletRequestWrapper.class)");
        }

        if (myReqWrapper.isWrapperFor(reqWrapper1)) {
            pass = false;
            response.getWriter().println("Test Failed: myReqWrapper.isWrapperFor(reqWrapper1)");
        }

        if (myReqWrapper.isWrapperFor(reqWrapper2)) {
            pass = false;
            response.getWriter().println("Test Failed: myReqWrapper.isWrapperFor(reqWrapper2)");
        }

        if (myReqWrapper.isWrapperFor(reqWrapper3)) {
            pass = false;
            response.getWriter().println("Test Failed: myReqWrapper.isWrapperFor(reqWrapper3)");
        }

        if ( myReqWrapper.isWrapperFor(TCKServletRequestsubWrapper.class)) {
            pass = false;
            response.getWriter().println("Test Failed: myReqWrapper.isWrapperFor(TCKServletRequestsubWrapper.class)");
        }

        if (!pass) {
            response.getWriter().println("Test Failed.");
        } else {
            response.getWriter().println("Test Passed.");
        }
    }
}
